> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# sora-2-查询任务

> 查询 Sora 2 视频生成任务的状态和详细信息



## OpenAPI

````yaml zh/api-reference/model-api/openai/openapi/sora-2-query/openapi.yaml GET /v1/videos/{id}
openapi: 3.1.0
info:
  title: Sora 2 查询任务
  description: 通过 Anyfast API 查询 Sora 2 视频生成任务状态
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/videos/{id}:
    get:
      summary: 查询视频任务状态
      description: 查询 Sora 2 视频生成任务的状态和详细信息
      operationId: querySora2Task
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: 创建端点返回的视频任务 ID
          example: video_69b131ea03548190925a6a06febf993b
      responses:
        '200':
          description: 任务状态
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: video_69b131ea03548190925a6a06febf993b
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: sora-2
                  status:
                    type: string
                    enum:
                      - queued
                      - in_progress
                      - completed
                      - failed
                    example: in_progress
                  progress:
                    type: integer
                    example: 0
                  prompt:
                    type: string
                    example: 一只猫穿过向日葵田
                  seconds:
                    type: string
                    example: '12'
                  size:
                    type: string
                    example: 1280x720
                  created_at:
                    type: integer
                    example: 1773220330
                  completed_at:
                    type: integer
                    nullable: true
                    example: null
                  expires_at:
                    type: integer
                    nullable: true
                    example: null
                  error:
                    type: string
                    nullable: true
                    example: null
                  remixed_from_video_id:
                    type: string
                    nullable: true
                    example: null
        '401':
          description: 未授权
        '404':
          description: 任务未找到
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````